Name:           sparkleshare
Version:        0.2.4
Release:        1%{?dist}
Summary:        Easy file sharing based on git repositories

Group:          Applications/Productivity
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://github.com/downloads/hbons/SparkleShare/sparkleshare-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-devel ndesk-dbus-glib-devel notify-sharp-devel
BuildRequires:  desktop-file-utils intltool 
BuildRequires:  gnome-doc-utils nant
BuildRequires:  webkit-sharp-devel
# BuildRequires:  smartirc4net-devel
Requires:       git desktop-file-utils yelp

%global         debug_package %{nil}

%description

Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.


%prep
%setup -q


%build
%configure
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/sparkleshare.desktop

# find translations
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
/usr/bin/sparkleshare
%{_libdir}/sparkleshare/
/usr/share/sparkleshare/
/usr/share/applications/sparkleshare.desktop
# /usr/share/gnome/help/sparkleshare/
/usr/share/icons/hicolor/16x16/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/22x22/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/24x24/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/256x256/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/32x32/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/48x48/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/24x24/status/process-syncing-sparkleshare-i*.png

%doc README
%doc %{_mandir}/man1/sparkleshare.1.gz

%changelog
* Wed Jun 29 2011 fedora@alexhudson.com - 0.2.4-1
- rebuilt for new upstrema 0.2.4

* Wed Jun 15 2011 Alex Hudson <fedora@alexhudson.com> - 0.2.2-1
- rebuilt for new upstream 0.2.2

* Wed Jun 08 2011 Alex Hudson <fedora@alexhudson.com> - 0.2.1-1
- rebuilt for new upstream 0.2.1

* Tue Jun 07 2011 Alex Hudson - 0.2.0-1
- initial release of 0.2!

* Sat May 21 2011 Alex Hudson <fedora@alexhudson.com> - 0.2.beta2rc2-3
- remove nautilus extension for now; causes segfaults in F15 :(

* Fri May 20 2011 Alex Hudson <fedora@alexhudson.com> - 0.2.beta2rc2-2
- rebuilt to address python errors in F15

* Fri Mar 25 2011 Alex Hudson - 0.2.beta2rc1-1
- Initial build of 0.2rc1

* Mon Nov 22 2010 Alex Hudson - 0.2.beta1-7
- rebuilt

* Sat Nov 20 2010 Alex Hudson - 0.2.beta1-3
- rebuilt

* Thu Sep 02 2010 Alex Hudson - 0.2.alpha2-5
- update from git; now includes end-user help

* Tue Aug 17 2010 Alex Hudson - 0.2.alpha2-4
- now includes man page and new icons

* Mon Aug 16 2010 Alex Hudson - 0.2.alpha2-3
- slightly cleaner wrt. rpmlint

* Sat Aug 07 2010 Alex Hudson - 0.2.alpha1-2
- various fixes from git post-alpha release

* Tue Aug 03 2010 Alex Hudson - 0.2.alpha1-1
- Initial release of the 0.2alpha series of SparkleShare

